Bug 815481 - hostgroup and netgroup names with one letter not allowed
hostgroup and netgroup names with one letter not allowed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.2
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 13:07 EDT by Namita Soman
Modified: 2013-05-20 16:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:11:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 03:22:21 EST

  None (edit)
Description Namita Soman 2012-04-23 13:07:45 EDT
Description of problem:
# ipa netgroup-add a
Description: t
ipa: ERROR: invalid 'name': may only include letters, numbers, _, -, and .
# ipa hostgroup-add b
Description: r
ipa: ERROR: invalid 'hostgroup_name': may only include letters, numbers, _, -, and .


Version-Release number of selected component (if applicable):
ipa-server-2.2.0-10.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. add a netgroup or a hostgroup with only one letter

  
Actual results:
throws error - 
ipa: ERROR: invalid 'hostgroup_name': may only include letters, numbers, _, -, and .

Expected results:
be allowed to add this hostgroup or netgroup

Additional info:
Comment 2 Dmitri Pal 2012-04-23 15:13:02 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2671
Comment 3 Martin Kosek 2012-05-07 02:40:36 EDT
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/343aba2486e4b2a406e6f023c2a0a2c24841796f
Comment 4 Jenny Galipeau 2012-09-25 12:16:38 EDT
regression tests added to netgroup and hostgroup test suites
Comment 7 Namita Soman 2013-01-14 11:48:02 EST
Verified using ipa-server-3.0.0-20.el6.x86_64

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: netgroup_bz_815481_1 Test Adding a single char group named A
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

------------------
Added netgroup "a"
------------------
  Netgroup name: a
  Description: desc1
  NIS domain name: testrelm.com
  IPA unique ID: 99a1c324-458b-11e2-9228-00215e20311c
:: [   PASS   ] :: Try adding group named A
-------------------
2 netgroups matched
-------------------
  Netgroup name: +badtestnetgroup
  Description: netgroup_with_plus_kills_dirsrv
  NIS domain name: testrelm.com

  Netgroup name: a
  Description: desc1
  NIS domain name: testrelm.com
----------------------------
Number of entries returned 2
----------------------------
:: [   PASS   ] :: Make sure that the group exists
--------------------
Deleted netgroup "a"
--------------------



::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-hostgroup-bz-815481-1 Add hostgroup named A
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

-------------------
Added hostgroup "a"
-------------------
  Host-group: a
  Description: desc
:: [   PASS   ] :: Attempt adding hostgroup named A BZ 815481
---------------------
11 hostgroups matched
---------------------
  Host-group: a
  Description: desc

  Host-group: group1
  Description: Group1

  Host-group: group10
  Description: Group10

  Host-group: group2
  Description: Group2

  Host-group: group3
  Description: Group3

  Host-group: group4
  Description: Group4

  Host-group: group5
  Description: Group5

  Host-group: group6
  Description: Group6

  Host-group: group7
  Description: Group7

  Host-group: group8
  Description: Group8

  Host-group: group9
  Description: Group9
-----------------------------
Number of entries returned 11
-----------------------------
:: [   PASS   ] :: Ensure that hostgroup A exists BZ 815481
---------------------
Deleted hostgroup "a"
---------------------
'87d999f8-2074-4090-899f-d3ded8bb2b6e'
ipa-hostgroup-bz-815481-1-Add-hostgroup-named-A result: PASS
   metric: 0
   Log: /tmp/beakerlib-9728174/journal.txt
    Info: Searching AVC errors produced since 1355428980.81 (Thu Dec 13 15:03:00 2012)
     Searching logs...
     Info: No AVC messages found.
 Writing to /mnt/testarea/tmp.btxIva
:
   AvcLog: /mnt/testarea/tmp.btxIva

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-hostgroup-bz-815481-2 Add hostgroup named a
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

-------------------
Added hostgroup "a"
-------------------
  Host-group: a
  Description: desc
:: [   PASS   ] :: Attempt adding hostgroup named a BZ 815481
---------------------
11 hostgroups matched
---------------------
  Host-group: a
  Description: desc

  Host-group: group1
  Description: Group1

  Host-group: group10
  Description: Group10

  Host-group: group2
  Description: Group2

  Host-group: group3
  Description: Group3

  Host-group: group4
  Description: Group4

  Host-group: group5
  Description: Group5

  Host-group: group6
  Description: Group6

  Host-group: group7
  Description: Group7

  Host-group: group8
  Description: Group8

  Host-group: group9
  Description: Group9
-----------------------------
Number of entries returned 11
-----------------------------
:: [   PASS   ] :: Ensure that hostgroup a exists BZ 815481
---------------------
Deleted hostgroup "a"
---------------------
'397e5dc2-6210-4684-8cdd-90481659c823'
ipa-hostgroup-bz-815481-2-Add-hostgroup-named-a result: PASS
   metric: 0
   Log: /tmp/beakerlib-9728174/journal.txt
    Info: Searching AVC errors produced since 1355428984.71 (Thu Dec 13 15:03:04 2012)
     Searching logs...
     Info: No AVC messages found.
 Writing to /mnt/testarea/tmp.btxIva
:
   AvcLog: /mnt/testarea/tmp.btxIva

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ipa-hostgroup-bz-815481-3 Add hostgroup named z
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

-------------------
Added hostgroup "z"
-------------------
  Host-group: z
  Description: desc
:: [   PASS   ] :: Attempt adding hostgroup named z BZ 815481
-------------------
1 hostgroup matched
-------------------
  Host-group: z
  Description: desc
----------------------------
Number of entries returned 1
----------------------------
:: [   PASS   ] :: Ensure that hostgroup z exists BZ 815481
---------------------
Deleted hostgroup "z"
---------------------
'98da95db-56fa-4623-b803-5611c9905612'
ipa-hostgroup-bz-815481-3-Add-hostgroup-named-z result: PASS
   metric: 0
   Log: /tmp/beakerlib-9728174/journal.txt
    Info: Searching AVC errors produced since 1355428988.62 (Thu Dec 13 15:03:08 2012)
     Searching logs...
     Info: No AVC messages found.
 Writing to /mnt/testarea/tmp.btxIva
:
   AvcLog: /mnt/testarea/tmp.btxIva
Comment 9 errata-xmlrpc 2013-02-21 04:11:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html

Note You need to log in before you can comment on or make changes to this bug.